#
# spec file for package gnome-icon-theme (Version 2.12.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-common gnome-filesystem gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gnome-icon-theme
BuildRequires:  glib2-devel gnome-common intltool perl-XML-Parser
License:        GNU General Public License (GPL)
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.1
Release:        27.10
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gnome-icon-theme/2.12/%{name}-%{version}.tar.bz2
# http://freedesktop.org/Software/icon-theme/releases/
Source1:        hicolor-icon-theme-0.10.tar.bz2
Source3:        gnome-dev-ethernet-16.png
Source4:        gnome-dev-ethernet-24.png
Source5:        realplay.png
Patch:          hicolor-scalable-sizes.patch
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GNOME Icon Theme
BuildArchitectures: noarch

%description
The default GNOME icon theme.



Authors:
--------
    Gnome Team

%define prefix   /opt/gnome
%debug_package
%prep
%setup -b 1
cd ../hicolor-icon-theme-0.10
%patch0
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
cd ../hicolor-icon-theme-0.10
./configure \
                --prefix=%{prefix} \
                --sysconfdir=/etc%{prefix}
make
cd ../%{name}-%{version}
./configure \
                --prefix=%{prefix} \
                --sysconfdir=/etc%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
cd ../hicolor-icon-theme-0.10
make DESTDIR=$RPM_BUILD_ROOT install
cd ../%{name}-%{version}
make DESTDIR=$RPM_BUILD_ROOT hicolor_dirs=$RPM_BUILD_ROOT%{prefix}/share/icons install
find $RPM_BUILD_ROOT -name *real* -exec rm -v {} \;
cd $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/48x48/apps
cp %SOURCE3 $RPM_BUILD_ROOT%{prefix}/share/icons/gnome/16x16/devices/gnome-dev-ethernet.png
cp %SOURCE4 $RPM_BUILD_ROOT%{prefix}/share/icons/gnome/24x24/devices/gnome-dev-ethernet.png
for type in text-vnd.rn-realtext audio-vnd.rn-realaudio audio-x-pn-realaudio application-vnd.rn-realmedia-vbr application-vnd.rn-realmedia-secure video-vnd.rn-realvideo application-vnd.rn-realmedia; do
    cp %SOURCE5 $RPM_BUILD_ROOT%{prefix}/share/icons/gnome/48x48/mimetypes/gnome-mime-$type.png
done
for size in 16 32 48; do
    cp $RPM_BUILD_ROOT%{prefix}/share/icons/gnome/${size}x${size}/mimetypes/gnome-mime-application-msword.png $RPM_BUILD_ROOT%{prefix}/share/icons/gnome/${size}x${size}/mimetypes/gnome-mime-application-vnd.ms-word.png
done
rm -f $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/24x24/apps/gaim.png 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/share/icons
%{prefix}/share/pkgconfig/*.pc

%changelog
* Fri Feb 16 2007 - dobey@suse.de
- Update hicolor-icon-theme to 0.10 for new contexts
- Update hicolor-scalable-sizes.patch for new  and missing contexts
  Mostly fixes https://bugzilla.novell.com/show_bug.cgi?id=245993
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=242372
* Mon Apr 10 2006 - dobey@suse.de
- Add patch to make the sizes for scalable icons more sane
  Mostly fixes https://bugzilla.novell.com/show_bug.cgi?id=162222
* Mon Apr 03 2006 - dobey@suse.de
- Update hicolor-icon-theme tarball to 0.9 for multiple bug fixes
* Sat Mar 04 2006 - aj@suse.de
- Fix typo in last change.
* Fri Mar 03 2006 - dobey@suse.de
- Remove gaim icon from gnome-icon-theme
  Fixes part of https://bugzilla.novell.com/show_bug.cgi?id=153748
* Tue Feb 28 2006 - dobey@suse.de
- Remove extra hicolor-icons.tar.bz2 per request from coolo
* Wed Feb 15 2006 - dobey@suse.de
- Create 24x24/apps and 24x24/mimetypes directories in hicolor
  These directories are needed for some apps to install icons to
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - sbrabec@suse.cz
- Minimized neededforbuild.
* Tue Oct 11 2005 - gekker@suse.de
- Update to version 2.12.1
- Fixes configuration problem (#91387)
- Remove upstreamed patches
* Fri Sep 16 2005 - sbrabec@suse.cz
- Call aclocal to build properly in PLUS.
* Tue Sep 13 2005 - sbrabec@suse.cz
- Build as NoArch.
* Tue Sep 13 2005 - sbrabec@suse.cz
- Reset executable flag for icons (#116346).
* Mon Sep 05 2005 - rodrigo@suse.de
- Update to version 2.12.0
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 2.11.5
* Wed Mar 23 2005 - clahey@suse.de
- Updated to version 2.10.1.  Adds Open Document icons.  Fixes 73536.
* Sat Mar 19 2005 - clahey@suse.de
- Add icons for word docs and realplayer supported types.
* Wed Mar 16 2005 - clahey@suse.de
- Use the gnome-dev-ethernet from netapplet.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.92
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.91
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 2.9.90
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 2.9.3.
* Thu Dec 16 2004 - gekker@suse.de
- Update to version 2.9.2
* Tue Nov 23 2004 - gekker@suse.de
- Update version to 2.9.1
  Remove wordperfect file / artwork as it was already upstream.
* Wed Sep 29 2004 - hhetter@suse.de
- added essential icons for drives:/ operation to hicolor
* Mon Sep 27 2004 - mmichael@suse.de
-  Add wordperfect file / artwork.
* Mon Sep 27 2004 - sbrabec@suse.cz
- Removed old RealPlayer branding.
  http://bugzilla.gnome.org/show_bug.cgi?id=153677
* Wed Jul 28 2004 - dobey@suse.de
- Updated to version 1.2.3
* Fri Apr 23 2004 - sbrabec@suse.cz
- Updated to version 1.2.1 (GNOME 2.6).
- Added hicolor-icon-theme version 0.5.
* Wed Oct 29 2003 - sbrabec@suse.cz
- Updated to version 1.1.0.
* Tue Sep 09 2003 - sbrabec@suse.cz
- Updated to version 1.0.9.
* Mon Sep 08 2003 - sbrabec@suse.cz
- Updated to version 1.0.8.
* Wed Aug 27 2003 - sbrabec@suse.cz
- Updated to version 1.0.7.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 1.0.6.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 09 2003 - sbrabec@suse.cz
- Updated to version 1.0.5.
* Mon Jun 23 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
* Fri Jan 31 2003 - hhetter@suse.de
- updated to version 1.0.0
* Thu Jan 16 2003 - sbrabec@suse.cz
- Fixed %%prefix to /opt/gnome2.
* Wed Jan 15 2003 - sbrabec@suse.cz
- Added new package.
